Get Campaigns by Number (Basic Auth)

Returns the list of campaigns in which the given phone numbers are currently added, and their statuses

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.

❗️

Rate Limit:

  • The API supports 1 request per minute, with a maximum of 100 phone numbers per request.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Possible responses

Success Response

{

"status": "success","data": [{"LeadStatus": "Fail","CampaignName": "Preview-dynamic","PhoneNumber": "99xxxxx3","LeadNumber": 54xxx89},{
"LeadStatus": "FreshLead",
"CampaignName": "Preview-dynamic",
"PhoneNumber": "9xxxxx3",
"LeadNumber": 54376090
},
{
"LeadNumber": 54376093,
"LeadStatus": "FreshLead",
"CampaignName": "Preview-dynamic",
"PhoneNumber": "9xxxx3"
},
{
"LeadStatus": "FreshLead",
"CampaignName": "Preview-dynamic",
"LeadNumber": 54376094,
"PhoneNumber": "9xxxx3"
}
],
"message": "success"
}

Passing Invalid apiKey Value{"status": "false","message": "Invalid User Details","data": null}
Missing apiKey Value{"status": "false","message": "Invalid User Details","data": null}
Passing Invalid userName Value{"status": "false","message": "Invalid User Details","data": null}
Missing userName Value{""status"": ""false"",""message"": ""Username Should Not be Null or Empty.",
"data": null}
Passing Invalid phoneNumber Value{ ""status"": ""success"",
""data"": [],
""message"": ""success"" }
Missing phoneNumber ValuephoneNumber Should Not be Null or Empty.
More than 10 hits per minute{ ""status"": ""Error"",
""message"": ""Max limit exceeded"" }
Body Params
string
required

CloudAgent account name

string
required

Comma-separated phone numbers to lookup

Headers
string
required

CloudAgent API Key

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json